Subject: Re: bug#36313: 12.1.2; percent symbol in \url{}

From: David Kastrup <[email-masked]>
Date: Fri, 28 Jun 2019 11:04:24 +0200

Ryo Furue <[email-masked]> writes:

> Dear David and others,
>
> On Fri, Jun 28, 2019 at 4:16 PM David Kastrup <[email-masked]> wrote:
>
>>
>> > Thinking more about this issue, I would argue that TeX-parse-self should
>> be
>> > set to t by default, because
>> >
>> > Do the right thing (DTRT) by default
>> > and optimize, if it's slow.
>>
>> Have you bothered reading the referenced discussions?
>
>
> Yes I have read it through.
>
>
>>   You don't appear
>> to bother bringing anything new to it.
>>
>> Parsing a whole bunch of dependencies isn't the right default for
>> someone not interested in AUCTeX or TeX.
>>
>
> I didn't know that AUCTeX is switched on by default for everybody using
> emacs.  I (wrongly) assumed that AUCTeX was switched on only when you
> enable it in your init.el  .

AUCTeX is supposed to be usable as a system default.  It is not
delivered as Emacs' built-in TeX mode, but using ELPA for installing it
will enable it if I remember correctly, and its pre-ELPA mode for
installation is also supposed to be useable in that manner.

> Since AUCTeX is enabled by default for everybody and if the parsing
> would occur to everybody if the variable is set, your argument is
> strong.

If you use ELPA for installing it, it is enabled by default.  If we
would aim for AUCTeX only being used as a consequence of deliberate user
action rather than system administration activity, the defaults would
likely be different.

-- 
David Kastrup